Penning Trap Simulation Simulate particle behavior inside a Penning Trap

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | Friends | List of all members
Particle Class Reference

A class that holds attributes of a particle. More...

`#include <Particle.hpp>`

## Public Member Functions
| Particle (vec3 r_vec, vec3 v_vec, double q=CA_CHARGE, double m=CA_MASS)
| Initialize the particle.

## Private Attributes
vec3 | r_vec
| position
vec3 | v_vec
| velocity
double | q
| Charge.
double | m
| Mass.

## Friends
class | PenningTrap
| Make private attributes available for PenningTrap.

## Detailed Description

A class that holds attributes of a particle.

Definition at line 22 of file Particle.hpp.

## Constructor & Destructor Documentation

## ◆ Particle()

Particle::Particle | ( | vec3 | r_vec,
|  | vec3 | v_vec,
|  | double | q = `CA_CHARGE`,
|  | double | m = `CA_MASS`
| ) |  |

Initialize the particle.

Initialize the particle with a charge, mass, position and velocity.

Parameters

  q | The charge of the particle
  m | The mass of the particle
  r_vec | The initial position of the particle
  v_vec | The initial velocity of the particle

Definition at line 15 of file Particle.cpp.

## Friends And Related Function Documentation

## ◆ PenningTrap

friend class PenningTrap
| friend

Make private attributes available for PenningTrap.

Definition at line 45 of file Particle.hpp.

## Member Data Documentation

## ◆ m

double Particle::m
| private

Mass.

Definition at line 28 of file Particle.hpp.

## ◆ q

double Particle::q
| private

Charge.

Definition at line 27 of file Particle.hpp.

## ◆ r_vec

vec3 Particle::r_vec
| private

position

Definition at line 25 of file Particle.hpp.

## ◆ v_vec

vec3 Particle::v_vec
| private

velocity

Definition at line 26 of file Particle.hpp.

The documentation for this class was generated from the following files:

- include/Particle.hpp
- src/Particle.cpp